$('document').ready(function(){
	// Botones
	$("#home").click(function(){
		$("#load").fadeIn(0);
		$( "#body" ).load( "/templates/home.html" );
		$.get("/info", function( data ) {
			var text = "<table class=\"info\">"
			$.each(data, function(i, obj) {
				text += "<tr><td>"+i+"</td><td> "+obj+"</td></tr>";
			});
			text += "</table>"
			$( "#info" ).html( text );
			$("#load").fadeOut("fast");
		});
	});

	$("#animals").click(function(){
		$("#load").fadeIn(0);
		$.get( "/animal", function( data ) {
			$( "#body" ).html("<h1>Yours <span>Dinos</span> <button id='animal-add' class='btn btn-success btn-sm float-right'>+ New Dino</button></h1><table id='animals-table'></table>");
			$( "#animal-add").click(function(){
				$( "#body" ).load( "/templates/animal-form.html", function (){
					set_animal_include("");
				});
			})

			dataSet = data.data.map(function(item) {
				return [item._id, item.name, item.initial_level + " - " + item.level, species[item.specie].name];
			});

			$('#animals-table').DataTable({
				data: dataSet,
				responsive: true,
				columns: [
					{ title: "id", visible: false},
					{ title: "Name" },
					{ title: "Level" },
					{ title: "Specie" },
					{ title: "Options", className: "options-table", orderable: false,data: null, targets: -1, "mRender": function(data, type, full) {
						return '<button class="btn btn-primary btn-sm" onclick="showAnimal(\''+ full[0] +'\')">Show</button>&nbsp;&nbsp;<button class="btn btn-info btn-sm" onclick="editAnimal(\''+ full[0] +'\')">Edit</button>&nbsp;&nbsp;<button class="btn btn-danger btn-sm" onclick="removeAnimal(\''+full[0]+'\')">Remove</button>';
					}}
				]});
			$("#load").fadeOut("fast");
		});
	});
	$("#species").click(function(){
		$("#load").fadeIn(0);
		
		$( "#body" ).html("<h1>All <span>Species</span></h1><table id='species-table'></table>")
		
		dataSet = [];

		for(var i in species){
			dataSet.push([species[i].name, species[i].description]);
		}

		$('#species-table').DataTable({
			data: dataSet,
			responsive: true,
			columns: [
				{ title: "Name" },
				{ title: "Description" }
			]
		});
		$("#load").fadeOut("fast");
	}); 

	$("#about").click(function(){
		$("#load").fadeIn(0);
		$( "#body" ).load( "/templates/about.html", function(){$("#load").fadeOut("fast");} );
	});
});

